Subject: bug#78527: 30.1; Mishaving new frame creation in MacOS on new desktop

From: Boris Aronov <[email-masked]>
Date: Thu, 5 Jun 2025 07:42:34 +0200

Thank you, Eli.  I will try to look into this, when I get a chance.  I was
just wondering if the whole misbehavior is connected to focus issues.
Meanwhile if I can provide more information about the other mystery, I
would be happy to do so.  Emacs 31 mostly works OK on MacOS (once in a
while it seems to forget to echo a character typed until the next
character is entered and a few other oddities), but this new-frame behavior
is annoying, as I have developed a habit, when I need to do something new
and unrelated and perhaps short, to make a new frame, take care of things
there and then remove the frame.  The current behavior is interfering with
that.

–Boris